Page MenuHomePhabricator

Add description to search and change title of component
Closed, ResolvedPublic1 Estimated Story Points

Description

Background

Currently the search component in the VE template dialog does not have any instructions and it was found during usability testing that less experienced users did not always understand that it was a search field to find existing templates. One way to improve this is by changing the title and adding a description

Note: should be completed after search has been updated in T274903: Change template search in VisualEditor to use standard search API

Requirements

Mock



Mock shows final title, changed in T276568: Adjust VE dialog header titles

Event Timeline

Lena_WMDE set the point value for this task to 2.Mar 10 2021, 2:18 PM
Lena_WMDE updated the task description. (Show Details)
Lena_WMDE updated the task description. (Show Details)

Very minor: other labels use sentence case but this spec is title case: "Template search" vs. "Template Search".

Change 684385 had a related patch set uploaded (by Awight; author: Awight):

[mediawiki/extensions/VisualEditor@master] [WIP] Optional verbose template search

https://gerrit.wikimedia.org/r/684385

@ECohen_WMDE What about when adding a multi-part template from the sidebar? Roughly (wrong text color and padding) we would have:

awight removed awight as the assignee of this task.May 3 2021, 2:28 PM
awight moved this task from Doing to Review on the WMDE-TechWish-Sprint-2021-04-28 board.
awight added a subscriber: awight.

The current implementation of the feature flag complicates using it for all the features mentioned in this ticket and also testing it locally. Currently it is checking for the a new config variable AND checking if the Cirrus Search extention is there (see code). I would suggest separating these two checks. This way all new features that can be used regardeless of Cirrus Search can be hidden behind the feature flag and Cirrus Search required features can use both checks.

[Update] I made a patch to fix this: 686436

The ticket description above specifies different wording for the window title and for heading over the search bar (when inserting a new template). Currently they seem to use the same local:

I guess we should add a new local to allow different wordings.

Change 686436 had a related patch set uploaded (by Svantje Lilienthal; author: Svantje Lilienthal):

[mediawiki/extensions/VisualEditor@master] Renaming temporary config variable and splitting it from cirrus search lookup

https://gerrit.wikimedia.org/r/686436

The ticket description above specifies different wording for the window title and for heading over the search bar (when inserting a new template). Currently they seem to use the same local:

I guess we should add a new local to allow different wordings.

Hmpf I read this comment and was like "Oh yeah the title differs in the mock, lets fix that!" - So I fixed it. - Now I just realized, that this is intended and that there's a note about the title in the mock belonging to another ticket...

I'll split it up as WIP start for the other ticket and remove the change from the current patch. ;-)

@ECohen_WMDE What about when adding a multi-part template from the sidebar? Roughly (wrong text color and padding) we would have:

Thanks for highlighting this @awight - I think this looks how it should, showing beneath the other content in the window. I think the description still fits well too. The title is ok, though in this situation it might make more sense as "Add a template" - but that might introduce unnecessary complexity?

Very minor: other labels use sentence case but this spec is title case: "Template search" vs. "Template Search".

Good catch! Didn't notice this, probably makes sense to switch to sentence case then. Thanks!

Change 684385 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Optional verbose template search

https://gerrit.wikimedia.org/r/684385

Change 686436 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Renaming temporary config variable and splitting it from cirrus search lookup

https://gerrit.wikimedia.org/r/686436

Mentioned in SAL (#wikimedia-cloud) [2021-05-10T14:04:39Z] <CFisch_WMDE> Forward renamed config name for improved template search features (T277028)

Change 688346 had a related patch set uploaded (by WMDE-Fisch; author: WMDE-Fisch):

[mediawiki/extensions/VisualEditor@master] Use sentence case for template search label

https://gerrit.wikimedia.org/r/688346

Thanks for highlighting this @awight - I think this looks how it should, showing beneath the other content in the window. I think the description still fits well too. The title is ok, though in this situation it might make more sense as "Add a template" - but that might introduce unnecessary complexity?

As I see it, these messages can be different and it would be no big deal. So we could either introduce Add a template here, as headline ( and/or title tag for the button in the bottom left corner) or we could even re-use the label Add template from the button when dialog first pops up. @ECohen_WMDE

Edit: Sorry Add a template is obviously also used somewhere as the title for the whole dialog. It would then be not brand new.

Thanks for highlighting this @awight - I think this looks how it should, showing beneath the other content in the window. I think the description still fits well too. The title is ok, though in this situation it might make more sense as "Add a template" - but that might introduce unnecessary complexity?

As I see it, these messages can be different and it would be no big deal. So we could either introduce Add a template here, as headline ( and/or title tag for the button in the bottom left corner) or we could even re-use the label Add template from the button when dialog first pops up. @ECohen_WMDE

Edit: Sorry Add a template is obviously also used somewhere as the title for the whole dialog. It would then be not brand new.

For more context: The title attributes of the other buttons down there are Add content and Add more information

Change 688346 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Use sentence case for template search label

https://gerrit.wikimedia.org/r/688346

@WMDE-Fisch Oh that's great! Let's do that then.

Just double checked the wording - looks like "Add a template" is being replaced by "Insert a template". In this case though, I think the word "add" is more accurate. I would then match the title attributes of the other buttons, sticking with "Add template".

To summarize: the description/instructions stay the same, but when adding a template to an existing multi-part template, then "Template search" is replaced by "Add template" in both the main area and the sidebar. The same wording shows on hover over the "Add template" button.

Hopefully that's clear! Glad that it's not much effort to make this small improvement.

Change 688976 had a related patch set uploaded (by WMDE-Fisch; author: WMDE-Fisch):

[mediawiki/extensions/VisualEditor@master] Use add template when adding a new transclusion part

https://gerrit.wikimedia.org/r/688976

WMDE-Fisch moved this task from Doing to Review on the WMDE-TechWish-Sprint-2021-04-28 board.
WMDE-Fisch added a subscriber: WMDE-Fisch.
awight changed the point value for this task from 2 to 1.May 12 2021, 12:17 PM

Change 688976 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Use add template when adding a new transclusion part

https://gerrit.wikimedia.org/r/688976

Lena_WMDE claimed this task.